/**
 * 为元素设置一个 tooltip
 * @param container 要设置 tooltip 的容器元素
 * @param content 提示内容，可以是字符串也可以是 html 元素
 * @param [flag=true] 是否仅在元素内容没有呈现完全时显示 tooltip
 * @param [parent=null] 呈现在哪个父元素上，默认添加在 `container` 末端
 */
export function setTooltip(container: HTMLElement, content: string | HTMLElement, flag?: boolean, parent?: HTMLElement): HTMLElement

/**
 * 解析容器元素内符合条件的子元素，为其添加 tooltip
 * @param container 容器元素
 * @example
 * ```
 * <span title="tooltip text"></span>
 * ```
 */
export function resolveTooltip(container?: HTMLElement): HTMLElement